Bug 1283646 - [abrt] gourmet: Image.py:686:tostring:Exception: tostring() has been removed. Please call tobytes() instead.
[abrt] gourmet: Image.py:686:tostring:Exception: tostring() has been removed....
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gourmet (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4b0c949b9fc529368aa2293e92a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 08:54 EST by Stephen Haffly
Modified: 2016-01-18 15:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-16 16:46:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (883 bytes, text/plain)
2015-11-19 08:54 EST, Stephen Haffly
no flags Details
File: environ (1.62 KB, text/plain)
2015-11-19 08:54 EST, Stephen Haffly
no flags Details

  None (edit)
Description Stephen Haffly 2015-11-19 08:54:16 EST
Description of problem:
Just started Gourmet and received the error message.

Version-Release number of selected component:
gourmet-0.17.4-4.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python /usr/bin/gourmet
dso_list:       python-pillow-3.0.0-1.fc23.x86_64
executable:     /usr/bin/gourmet
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
Image.py:686:tostring:Exception: tostring() has been removed. Please call tobytes() instead.

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gourmet/gtk_extras/ratingWidget.py", line 383, in cell_data_func
    pb = self.star_generator.get_pixbuf(int(val),self.upper)
  File "/usr/lib/python2.7/site-packages/gourmet/gtk_extras/ratingWidget.py", line 80, in get_pixbuf
    pb=self.get_pixbuf_from_image(img)
  File "/usr/lib/python2.7/site-packages/gourmet/gtk_extras/ratingWidget.py", line 138, in get_pixbuf_from_image
    image.tostring(),
  File "/usr/lib64/python2.7/site-packages/PIL/Image.py", line 686, in tostring
    "Please call tobytes() instead.")
Exception: tostring() has been removed. Please call tobytes() instead.

Local variables in innermost frame:
self: <PIL.Image.Image image mode=RGBA size=100x18 at 0x7FB57C2AA350>
args: ()
kw: {}
Comment 1 Stephen Haffly 2015-11-19 08:54:20 EST
Created attachment 1096683 [details]
File: backtrace
Comment 2 Stephen Haffly 2015-11-19 08:54:21 EST
Created attachment 1096684 [details]
File: environ
Comment 3 Sylvia Sánchez 2015-11-24 06:59:54 EST
I'm having the same issue (Cinnamon Spin 23) and it leaves Gourmet unable to edit or add recipes.
I found this on Gourmet Github: 
https://github.com/thinkle/gourmet/issues/821#issuecomment-152868235
Comment 4 Peter Gordon 2016-01-16 16:46:47 EST
Thank you for the bug report; and sorry for the delay in responding. I had already submitted the fix for this with updates to Rawhide and Fedora 23 (as 0.17.4-5) and Fedora 22 (as 0.17.4-3).

The new package is already in all three branches; and the information in Bodhi for the released updates are here:

(F23) https://bodhi.fedoraproject.org/updates/FEDORA-2015-fbd8fa9360
(F22) https://bodhi.fedoraproject.org/updates/FEDORA-2015-320c0a08ff

If the problem persists, please re-open this bug with more details.

--Peter
Comment 5 Sylvia Sánchez 2016-01-18 15:37:31 EST
(In reply to Peter Gordon from comment #4)
> Thank you for the bug report; and sorry for the delay in responding. I had
> already submitted the fix for this with updates to Rawhide and Fedora 23 (as
> 0.17.4-5) and Fedora 22 (as 0.17.4-3).
> 
> The new package is already in all three branches; and the information in
> Bodhi for the released updates are here:
> 
> (F23) https://bodhi.fedoraproject.org/updates/FEDORA-2015-fbd8fa9360
> (F22) https://bodhi.fedoraproject.org/updates/FEDORA-2015-320c0a08ff
> 
> If the problem persists, please re-open this bug with more details.
> 
> --Peter

Working perfect now.  Thanks!  (Fedora Cinnamon Spin 23, fully updated)

Note You need to log in before you can comment on or make changes to this bug.